glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Private< T > Class Template Reference

Thread-local data pointer. More...

`#include <glibmm/thread.h>`

## Public Types
using | DestructorFunc = void(*)(void*)

## Public Member Functions
| Private (const Private< T >&)=delete
Private< T >& | operator= (const Private< T >&)=delete
| Private (DestructorFunc destructor_func=&Private< T >::delete_ptr)
T* | get ()
void | set (T* data)
GPrivate* | gobj ()

## Static Public Member Functions
static void | delete_ptr (void* data)

## Detailed Description

### template<class T>
class Glib::Private< T >

Thread-local data pointer.

Deprecated:
  Use Glib::Threads::Private instead.

## Member Typedef Documentation

template <class T >

using Glib::Private< T >::DestructorFunc = void (*) (void*)

## Constructor & Destructor Documentation

template <class T >

Glib::Private< T >::Private | ( | const Private< T >& |  | ) |
| delete

template <class T >

Glib::Private< T >::Private | ( | DestructorFunc | destructor_func = `&Private< T >::delete_ptr` | ) |
| inline explicit

## Member Function Documentation

template <class T >

static void Glib::Private< T >::delete_ptr | ( | void * | data | ) |
| static

template <class T >

T* Glib::Private< T >::get | ( |  | ) |
| inline

template <class T >

GPrivate* Glib::Private< T >::gobj | ( |  | ) |
| inline

template <class T >

Private<T>& Glib::Private< T >::operator= | ( | const Private< T >& |  | ) |
| delete

template <class T >

void Glib::Private< T >::set | ( | T * | data | ) |
| inline